CHECKPC(8)

NAME
checkpc - check out the printcap database

SYNOPSIS
checkpc [ -aflprsCV ] [ -A age[DHMS] ] [ -D debugflags ] [ -P printer ] [ -t size[kM] ]

DESCRIPTION
Checkpc is used to check for the existence and correct permissions of entries in the printcap database. It is useful when installing a new printcap database and cleaning up existing printer spoolers.

-a  Do not create accounting files (:lf).

-c  Print verbose configuration information.

-f  The fix flag will cause the checkpc program create and fix various files and permissions. It does this in a simple minded manner, and the program may have to be run several times until all permissions are correct. It also reports in extremely verbose details its actions.

-l  Do not create log files (:lf).

-p  Print verbose printcap information. Useful if interested in the printcap values.

-r  remove junk or job files older than the age set by -A. You must set the age to a non-zero value otherwise no files are removed.

-s  Do not create filter status files (:ps).

-A Age[DHMS]
    Report junk or job files older than age. The age time can have a suffix days (D) hours (H), minutes (M), or seconds (S); default is days.

-D debugflags
    Run the program with debugging flags. See the LPRng HOWTO for details of the flags actions.

-V  Verbose mode.

-P printer
    Process only the specified print queue.

-t size[kM]
    Truncate log files (:lf) to the specified size in Kbytes or Mbytes (default is Mbytes).

ANNOYING FEATURES
If the -f (fix) option is specified and you do not run this as root, it will complain, but attempt to carry out the operations. This will lead to a large number of failures reports if the ownership and/or permissions are incorrect.

FILES

The files used by LPRng are set by values in the printer configuration file and by configuration options. The following are a commonly used set of default values.
/usr/local/etc/lpd.conf	LPRng configuration file
${HOME}/.printcap	user printer description file
/etc/printcap	printer description file
/usr/local/etc/lpd.perms	permissions
/var/run/lpd	lock file for queue control
/var/spool/lpd		spool directories
/var/spool/lpd/QUEUE/control	queue control
/var/spool/lpd/QUEUE/log	trace or debug log file
/var/spool/lpd/QUEUE/acct	accounting file
/var/spool/lpd/QUEUE/status	status file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1), lprng_certs(1), lprng_index_certs(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng mailing list is lprng@lprng.com; subscribe by sending mail to lprng-request@lprng.com with the word subscribe in the body. The software is available from ftp://ftp.lprng.com/pub/LPRng.

AUTHOR
Patrick Powell <papowell@lprng.com>.